/*
Kissinger 2 readme
Piotr Grochowski, piotrunio-2004@wp.pl

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>

﻿This is the development of Kissinger 2. See kissinger2.coosucks.repl.co for more details.

halfwidth: 7665, fullwidth: 14724, both: 21126, overlap: 1263

This is a duospaced font split into two monospaced fonts. 'Kissinger 2' is for halfwidth (8*16), 'Kissinger 2f' is for fullwidth (16*16).

The .notdef is placed at 0000.

The png files are not bundled, but can be generated with pnghextopnghex.cpp .

hex/png files (halfwidth):
kissinger2hdata0.hex, kissinger2htest0.png - 0000-3FFF
kissinger2hdata1.hex, kissinger2htest1.png - 4000-7FFF
kissinger2hdata2.hex, kissinger2htest2.png - 8000-BFFF
kissinger2hdata3.hex, kissinger2htest3.png - C000-FFFF
kissinger2hdata4.hex, kissinger2htest4.png - 10000-13FFF
kissinger2hdata7.hex, kissinger2htest7.png - 1C000-1FFFF
kissinger2hdata8.hex, kissinger2htest8.png - 20000-23FFF
kissinger2hdata9.hex, kissinger2htest9.png - 24000-27FFF
kissinger2hdataA.hex, kissinger2htestA.png - 28000-2BFFF

hex/png files (fullwidth):
kissinger2fdata0.hex, kissinger2ftest0.png - 0000-1FFF
kissinger2fdata1.hex, kissinger2ftest1.png - 2000-3FFF
kissinger2fdata2.hex, kissinger2ftest2.png - 4000-5FFF
kissinger2fdata3.hex, kissinger2ftest3.png - 6000-7FFF
kissinger2fdata4.hex, kissinger2ftest4.png - 8000-9FFF
kissinger2fdata5.hex, kissinger2ftest5.png - A000-BFFF
kissinger2fdata6.hex, kissinger2ftest6.png - D000-DFFF
kissinger2fdata7.hex, kissinger2ftest7.png - E000-FFFF
kissinger2fdata8.hex, kissinger2ftest8.png - 10000-11FFF
kissinger2fdata9.hex, kissinger2ftest9.png - 12000-13FFF
kissinger2fdataE.hex, kissinger2ftestE.png - 1C000-1DFFF
kissinger2fdataF.hex, kissinger2ftestF.png - 1E000-1FFFF
kissinger2fdataG.hex, kissinger2ftestG.png - 20000-21FFF
kissinger2fdataH.hex, kissinger2ftestH.png - 22000-23FFF
kissinger2fdataI.hex, kissinger2ftestI.png - 24000-25FFF
kissinger2fdataJ.hex, kissinger2ftestJ.png - 26000-27FFF
kissinger2fdataK.hex, kissinger2ftestK.png - 28000-29FFF
kissinger2fdataL.hex, kissinger2ftestL.png - 2A000-2BFFF

Colourcode:
greyscale - assigned glyph
cyan - no glyph available
red - glyph available in the other width
magenta - control characters
green - (unused)
blue, yellow - (reserved)

Japanese characters from: Shinonome 16, izmg16-2004-1, izmg16-2004-2, jisksp16-1990 (modified), and 45 remaining characters drawn manually

Contributors: Piotr Grochowski (admin, piotrunio-2004@wp.pl)

codepagedatabase.cpp is a database of character sets for reference purposes.
pnghexreadwrite.cpp is the interface for reads and writes of the hex and png files.
charcounter.cpp is the character counter and find missing characters script.
pnghextopnghex.cpp is the conversion between png/hex and png/hex.
pnghextobdf.cpp is the conversion script from png/hex to bdf.
stb_image.cpp and stb_image_write.cpp are public domain dependencies for the PNG engine, which are bundled.
*/